import { p as promiseResolve, b as bootstrapLazy } from './index-9cae2eb3.js';

/*
 Stencil Client Patch Esm v2.4.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return bootstrapLazy([["quickom-chat-qrcode_3",[[0,"quickom-chat-qrcode",{"domain":[1],"backgroundColor":[1,"background-color"],"qrcode":[1],"avatar":[1],"name":[1],"isOpen":[32]}],[0,"quickom-chat-qrcode-iframe",{"domain":[1],"qrcode":[1],"avatar":[1],"name":[1]}],[4,"quickom-draggable",{"isVisible":[32]}]]],["quickom-chat",[[0,"quickom-chat",{"domain":[1],"backgroundColor":[1,"background-color"],"memberId":[1,"member-id"],"chatWithMemberId":[1,"chat-with-member-id"],"apiKey":[1,"api-key"],"avatar":[1],"isOpen":[32]}]]],["quickom-chat-hook",[[0,"quickom-chat-hook",{"domain":[1],"memberId":[1,"member-id"],"apiKey":[1,"api-key"]}]]],["quickom-floating-support",[[0,"quickom-floating-support",{"url":[1],"qrCodeImg":[1,"qr-code-img"],"text":[1],"imgQr":[32]}]]],["quickom-svg-render",[[1,"quickom-svg-render",{"src":[1],"width":[2],"height":[2],"svgContent":[32],"svgAttriutes":[32]}]]],["quickom-chat-iframe",[[0,"quickom-chat-iframe",{"domain":[1],"memberId":[1,"member-id"],"chatWithMemberId":[1,"chat-with-member-id"],"avatar":[1],"name":[1],"apiKey":[1,"api-key"]}]]]], options);
  });
};

export { defineCustomElements };
