import { EventEmitter } from '../../stencil-public-runtime';
import IframeMessenger from '../../services/iframeMessenger';
import IframeSession from '../../services/iframeSession';
export declare class QuickomChatQrCodeIframe {
  visible: EventEmitter<boolean>;
  incomingCall: EventEmitter<boolean>;
  domain: string;
  qrcode: string;
  avatar: string;
  name: string;
  iframeElement: HTMLIFrameElement;
  iframeMessenger: IframeMessenger;
  iframeSession: IframeSession;
  private getUrl;
  private onIframeRef;
  private onLoadIframe;
  private sendChatWithQrCode;
  private onChatBoxMessage;
  render(): any;
  onChangeMemberId(): void;
  disconnectedCallback(): void;
}
